


<h1><a name="topcoder" id="topcoder">TopCoder</a></h1>
<div class="level1">

<p>

<a href="http://www.topcoder.com/" class="urlextern" title="http://www.topcoder.com/"  rel="nofollow">TopCoder</a>: <a href="http://en.wikipedia.org/wiki/TopCoder" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/TopCoder">TopCoder</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "TopCoder" [1-80] -->
<h2><a name="how_to_install_the_topcoder_algorithm_matches_arena_plug-ins" id="how_to_install_the_topcoder_algorithm_matches_arena_plug-ins">How to install the TopCoder Algorithm Matches arena plug-ins</a></h2>
<div class="level2">

<p>

<a href="http://www.topcoder.com/wiki/display/tc/How+to+install+The+Arena+plug-ins" class="urlextern" title="http://www.topcoder.com/wiki/display/tc/How+to+install+The+Arena+plug-ins"  rel="nofollow">Tutorial</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to install the TopCoder Algorithm Matches arena plug-ins" [81-245] -->
<h2><a name="topcoder_algorithm_matches_fileedit_c_template" id="topcoder_algorithm_matches_fileedit_c_template">TopCoder Algorithm Matches FileEdit C++ Template</a></h2>
<div class="level2">
<pre class="code cpp"><span class="co2">#include &lt;algorithm&gt;</span>
<span class="co2">#include &lt;bitset&gt;</span>
<span class="co2">#include &lt;cassert&gt;</span>
<span class="co2">#include &lt;cctype&gt;</span>
<span class="co2">#include &lt;cfloat&gt;</span>
<span class="co2">#include &lt;climits&gt;</span>
<span class="co2">#include &lt;cmath&gt;</span>
<span class="co2">#include &lt;cstdio&gt;</span>
<span class="co2">#include &lt;cstdlib&gt;</span>
<span class="co2">#include &lt;cstring&gt;</span>
<span class="co2">#include &lt;ctime&gt;</span>
<span class="co2">#include &lt;deque&gt;</span>
<span class="co2">#include &lt;functional&gt;</span>
<span class="co2">#include &lt;iostream&gt;</span>
<span class="co2">#include &lt;limits&gt;</span>
<span class="co2">#include &lt;list&gt;</span>
<span class="co2">#include &lt;map&gt;</span>
<span class="co2">#include &lt;queue&gt;</span>
<span class="co2">#include &lt;set&gt;</span>
<span class="co2">#include &lt;sstream&gt;</span>
<span class="co2">#include &lt;stack&gt;</span>
<span class="co2">#include &lt;streambuf&gt;</span>
<span class="co2">#include &lt;string&gt;</span>
<span class="co2">#include &lt;utility&gt;</span>
<span class="co2">#include &lt;vector&gt;</span>
&nbsp;
<span class="co2">#define rep(i, n) repb(i, 0, n)</span>
<span class="co2">#define repb(i, b, n) repbc(i, b, n, &lt;)</span>
<span class="co2">#define repe(i, n) repbe(i, 0, n)</span>
<span class="co2">#define repbe(i, b, n) repbc(i, b, n, &lt;=)</span>
<span class="co2">#define repbc(i, b, n, c) for(int i = b; i c n; i++)</span>
&nbsp;
<span class="kw2">using</span> <span class="kw2">namespace</span> std<span class="sy4">;</span>
&nbsp;
<span class="kw2">class</span> $CLASSNAME$ <span class="br0">&#123;</span>
	<span class="kw2">public</span><span class="sy4">:</span>
	$RC$ $METHODNAME$<span class="br0">&#40;</span>$METHODPARMS$<span class="br0">&#41;</span> <span class="br0">&#123;</span>
		$RC$ res<span class="sy4">;</span>
&nbsp;
&nbsp;
&nbsp;
		<span class="kw1">return</span> res<span class="sy4">;</span>
	<span class="br0">&#125;</span>
	$TESTCODE$
<span class="br0">&#125;</span><span class="sy4">;</span>
&nbsp;
<span class="co1">// BEGIN CUT HERE </span>
<span class="kw4">int</span> main<span class="br0">&#40;</span><span class="br0">&#41;</span>
<span class="br0">&#123;</span>
	$CLASSNAME$ ___test<span class="sy4">;</span> 
	___test.<span class="me1">run_test</span><span class="br0">&#40;</span><span class="sy2">-</span>1<span class="br0">&#41;</span><span class="sy4">;</span> 
<span class="br0">&#125;</span> 
<span class="co1">// END CUT HERE</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "TopCoder Algorithm Matches FileEdit C++ Template" [246-1221] -->
<h2><a name="how_to_keep_track_of_your_time_on_topcoder_marathon_matches" id="how_to_keep_track_of_your_time_on_topcoder_marathon_matches">How to keep track of your time on TopCoder Marathon Matches</a></h2>
<div class="level2">

<p>

Look at <a href="http://forums.topcoder.com/?module=Thread&amp;threadID=642239&amp;start=0" class="urlextern" title="http://forums.topcoder.com/?module=Thread&amp;threadID=642239&amp;start=0"  rel="nofollow">this</a> thread.
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to keep track of your time on TopCoder Marathon Matches" [1222-1386] -->
<h2><a name="how_to_generate_topcoder_algorithm_matches_statistics" id="how_to_generate_topcoder_algorithm_matches_statistics">How To Generate TopCoder Algorithm Matches Statistics</a></h2>
<div class="level2">

<p>

<a href="http://ahmed-aly.selfip.com/TopCoderTools/" class="urlextern" title="http://ahmed-aly.selfip.com/TopCoderTools/"  rel="nofollow">TopCoder Tools</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How To Generate TopCoder Algorithm Matches Statistics" [1387-1520] -->
<h2><a name="my_topcoder_performances" id="my_topcoder_performances">My TopCoder Performances</a></h2>
<div class="level2">

<p>

<a href="http://www.topcoder.com/tc?module=MemberProfile&amp;cr=22843857" class="urlextern" title="http://www.topcoder.com/tc?module=MemberProfile&amp;cr=22843857"  rel="nofollow">kauesilv</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "My TopCoder Performances" [1521-] -->